/*==============================================================
                CODE 128 styles
===============================================================*/

/* ------------------- Horizontal Barcode -------------------- */
.barcode128h  {
	float:left;
    clear: both;
    padding: 0 10px /*quiet zone*/;
    overflow: auto;
    /*height: 1.35in   /*size;*/
	height:0.5in;
}

.barcode128h div {
    float: left;
    /*height: 1.2 in  /*size*/;
    display: inline;
	height: 0.5in;
}

.barcode128hLabel  {
	float:left;
    clear: both;
    padding: 0 10px /*quiet zone*/;
    overflow: auto;
    /*height: 1.35in   /*size;*/
	height:1.0in;
}

.barcode128hLabel div {
    float: left;
    /*height: 1.2 in  /*size*/;
    display: inline;
	height: 0.7in;
}

.barcode128hLabel label {
    clear: both;
    display: block;
    text-align: center;
	font: 0.250in/100% helvetica;
}

.barcode128Taille1 .bar1 { border-left: 1px solid black }
.barcode128Taille1 .bar2 { border-left: 2px solid black }
.barcode128Taille1 .bar3 { border-left: 3px solid black }
.barcode128Taille1 .bar4 { border-left: 4px solid black }
.barcode128Taille1 .space0 { margin-right: 0px }
.barcode128Taille1 .space1 { margin-right: 1px }
.barcode128Taille1 .space2 { margin-right: 2px }
.barcode128Taille1 .space3 { margin-right: 3px }
.barcode128Taille1 .space4 { margin-right: 4px }

.barcode128Taille2 .bar1 { border-left: 2px solid black }
.barcode128Taille2 .bar2 { border-left: 4px solid black }
.barcode128Taille2 .bar3 { border-left: 6px solid black }
.barcode128Taille2 .bar4 { border-left: 8px solid black }
.barcode128Taille2 .space0 { margin-right: 0px }
.barcode128Taille2 .space1 { margin-right: 2px }
.barcode128Taille2 .space2 { margin-right: 4px }
.barcode128Taille2 .space3 { margin-right: 6px }
.barcode128Taille2 .space4 { margin-right: 8px }



/* ------------------- Vertical Barcode --------------------- */
.barcode128v  {
    /*float: top;*/
    clear: left;
    position: absolute;
    padding: 10 0px /*quiet zone*/;
    overflow: auto;
    width: 30px  /*size*/;
    z-index: 99;

}

.barcode128v div {
    float: top;
    display: block;
    /*width: 20px;
    height:0px;*/
}

.barcode128vLabel  {
    /*float: top;*/
    clear: left;
    position: absolute;
    padding: 10 0px /*quiet zone*/;
    overflow: auto;
    width: 30px  /*size*/;
    z-index: 99;

}

.barcode128vLabel div {
    float: top;
    display: block;
    /*width: 20px;
    height:0px;*/
}

.barcode128vLabel label {
    clear: right;
    display: block;
    text-align: center;
    font: 0.125in/100% helvetica /*size*/;
    writing-mode: tb-rl;
    filter: flipH() flipV();
}

.barcode128v .bar1 { border-top: 1px solid black; z-index: 99;}
.barcode128v .bar2 { border-top: 2px solid black; z-index: 99;}
.barcode128v .bar3 { border-top: 3px solid black; z-index: 99;}
.barcode128v .bar4 { border-top: 4px solid black; z-index: 99;}
.barcode128v .space0 { margin-bottom: 0px; z-index: 99; }
.barcode128v .space1 { margin-bottom: 1px; z-index: 99; }
.barcode128v .space2 { margin-bottom: 2px; z-index: 99; }
.barcode128v .space3 { margin-bottom: 3px; z-index: 99; }
.barcode128v .space4 { margin-bottom: 4px; z-index: 99; }

.barcode128vLabel .bar1 { border-top: 1px solid black; z-index: 99;}
.barcode128vLabel .bar2 { border-top: 2px solid black; z-index: 99;}
.barcode128vLabel .bar3 { border-top: 3px solid black; z-index: 99;}
.barcode128vLabel .bar4 { border-top: 4px solid black; z-index: 99;}
.barcode128vLabel .space0 { margin-bottom: 0px; z-index: 99; }
.barcode128vLabel .space1 { margin-bottom: 1px; z-index: 99; }
.barcode128vLabel .space2 { margin-bottom: 2px; z-index: 99; }
.barcode128vLabel .space3 { margin-bottom: 3px; z-index: 99; }
.barcode128vLabel .space4 { margin-bottom: 4px; z-index: 99; }
